import { atom as $, useAtom, useAtomValue } from 'jotai';
import { useEffect } from 'react';
import { useCommand, useLocalAtom } from './util';
import { baseUrl } from './App';

export function UnderlyingPrice({$underlying, $quoteDate}){
  const underlying = useAtomValue($underlying);
  const quoteDate = useAtomValue($quoteDate) as String;
  const $underlyingPrice = useLocalAtom('', [$underlying, $quoteDate]);
  const [underlyingPrice, setUnderlyingPrice] = useAtom($underlyingPrice);

  const handleInit = useCommand(()=>{
    fetch(`${baseUrl}/underlying_quotes/${underlying}/${quoteDate.substring(0,10)}`).then((x)=>x.json())
    .then((rows)=>{ setUnderlyingPrice(rows[0].close.toString()); });
  },[underlying, quoteDate]);

  //@ts-ignore
  useEffect(handleInit,[underlying, quoteDate]);

  return (
    <span>{underlyingPrice}</span>
  );
}